Subject: Re: [Iptel] Re: WGLC of draft-ietf-iptel-trip-mib-05.txt

From: "David Zinman" <[email-masked]>
Date: Mon, 9 Jun 2003 21:02:32 -0400

Changed in draft-ietf-iptel-trip-mib-06.txt

The draft will be submitted after any issues from this note
are addressed.

inline:

----- Original Message ----- 
From: "Romascanu, Dan (Dan)" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Sent: Tuesday, April 29, 2003 12:56 PM
Subject: FW: [Iptel] Re: WGLC of draft-ietf-iptel-trip-mib-05.txt

> Here are my comments concerning draft-ietf-iptel-trip-mib-05.txt. The good
news is that most if not all are editorial and documentation problems. The
bad news is that IMO they need to be corrected before the WG can forward
this document to the IESG.
>
> 1. See http://www.ops.ietf.org/mib-boilerplate.html for updated formatted
boilerplates for the SNMP Management Framework, and Reference Sections. The
good news is that they are shorter, and there are less references to
include, but you must conform to the latest version.

done

> 2. In several places you use 'This MIB provides...', 'This MIB
utilizes...', etc. The more accepted version is 'This MIB module...'

done

> 3. The Security section needs to be more detailed and specific. You need
to list explicitly all read-write and read-create objects, as well as the
read-only objects that may contain sensitive information. You need to detail
the security risks that may result if the values of these objects are
changed or exposed.

Done, thanks Jianping.

> 4. The readability of the document would be much improved if an
abbreviation section would be included. Some of the abbreviations are not
detailed, some other are explained only after a few occurrences in the text
(LS, ITAD)

Stopped using the acronym, using Location Server instead. ITAD is explained
on first use.

> 5. TriId TC DESCRIPTION should explain (or refer to an explanation) how an
IPv4 address maps into an Unsigned32

done

> 6. The keywords convention is not use in a consistent manner. For example
the 'should' in the DESCRIPTION clause of tripCfgtable should be a SHOULD
:-)

Done

> 7. DESCRIPTION clauses of tripCfgmaxPurgeTime and tripCfgDisableTime -
'Indicates' instead of 'Indicate'

done

> 8. Why do you need all the text in the DESCRIPTION of tripCfgStorage? The
StorageType TC defines how to use this object. If you meant to restrict to a
subset of values, this is not clear. The last phrase seems to contradict the
requirement in the DESCRIPTION clause of the table.

done

> 9. What does value 0 mean for tripPeerHoldTimeConfigured?

changed description

> 10. 'location server' in the DESCRIPTION clause of tripPeerOutUpdates is
inconsistent with the other clauses in the same table where it is
abbreviated.

done

> 11. There is no need for a DEFVAL of tripRouteTRIBMask, which is a
read-only object

removed

> 12. You should explain and maybe provide an example of how
tripRouteAdvertismentPath and tripRouteRoutedPath are encoded in OCTET
STRINGS

added to description

> 13. Same for tripRouteUnknown

ibid

> 14. DESCRIPTION clauses of tripNotiPeerAddrInetType and tripNotifPeerAddr
should mention that these object contain the values of
tripPeerRemoteAddrInettype and tripPeerRemoteAddr (if I got these well)

I added this to tripNotifPeerAddr but not tripNotiPeerAddrInetType since it
really only refers to tripPeerRemoteAddr

> 15. It is not clear what notification is used to transmit an error code of
'cease'. Maybe I missed it?

added tripCease NOTIFICATION-TYPE

> 16. What are the error subcodes for FSM? tripNotifPeerErrSubcode shows up
in the OBJECTS list of the tripFSM

The notification MUST have a subcode. From rfc3219 section 6:
   When any of the conditions described here are detected, a
   NOTIFICATION message with the indicated Error Code, Error Subcode,
   and Data fields MUST be sent, and the TRIP connection MUST be closed.
   If no Error Subcode is specified, then a zero Subcode MUST be used.

> 17. RFC 3291 should be added to the references list

Done

>
> I hope this helps.
>
> Dan
>
>
> -----Original Message-----
> From: Jonathan Rosenberg [mailto:[email-masked]]
> Sent: maandag 21 april 2003 22:34
> To: Cullen Jennings
> Cc: [email-masked]
> Subject: [Iptel] Re: WGLC of draft-ietf-iptel-trip-mib-05.txt
>
>
>
>
> Cullen Jennings wrote:
> > This is a SIMPLE working group Last Call for comments on the
> > draft-ietf-iptel-trip-mib-05 draft.
>
> Minor correction - this is an IPTEL last call ;)
>
> -Jonathan R.
>
> >
> > This WGLC ends May 5, 2003.
> >
> > The draft is available at
> > http://www.ietf.org/internet-drafts/draft-ietf-iptel-trip-mib-05.txt
> >
> >
> > -------------------------------------------------------------------
> >
> >
> > A New Internet-Draft is available from the on-line Internet-Drafts
> > directories.
> > This draft is a work item of the IP Telephony Working Group of the IETF.
> >
> >     Title        : Management Information Base for Telephony Routing
over
> >                           IP (TRIP)
> >     Author(s)    : D. Zinman, D. Walker, J. Jiang
> >     Filename    : draft-ietf-iptel-trip-mib-05.txt
> >     Pages        : 45
> >     Date        : 2003-2-27
> >
> > This memo defines a portion of the MIB (Management Information Base)
> > for use with network management protocols in the Internet community.
> > In particular, it describes a set of managed objects that are used
> > to manage for TRIP (Telephony Routing over IP) devices.
> >
> > A URL for this Internet-Draft is:
> > http://www.ietf.org/internet-drafts/draft-ietf-iptel-trip-mib-05.txt
> >
> > To remove yourself from the IETF Announcement list, send a message to
> > ietf-announce-request with the word unsubscribe in the body of the
message.
> >
> > Internet-Drafts are also available by anonymous FTP. Login with the
username
> > "anonymous" and a password of your e-mail address. After logging in,
> > type "cd internet-drafts" and then
> >     "get draft-ietf-iptel-trip-mib-05.txt".
> >
> > A list of Internet-Drafts directories can be found in
> > http://www.ietf.org/shadow.html
> > or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
> >
> >
> > Internet-Drafts can also be obtained by e-mail.
> >
> > Send a message to:
> >     [email-masked].
> > In the body type:
> >     "FILE /internet-drafts/draft-ietf-iptel-trip-mib-05.txt".
> >
> > NOTE:    The mail server at ietf.org can return the document in
> >     MIME-encoded form by using the "mpack" utility.  To use this
> >     feature, insert the command "ENCODING mime" before the "FILE"
> >     command.  To decode the response(s), you will need "munpack" or
> >     a MIME-compliant mail reader.  Different MIME-compliant mail readers
> >     exhibit different behavior, especially when dealing with
> >     "multipart" MIME messages (i.e. documents which have been split
> >     up into multiple messages), so check your local documentation on
> >     how to manipulate these messages.
> >
> >
>
> -- 
> Jonathan D. Rosenberg, Ph.D.                600 Lanidex Plaza
> Chief Scientist                             Parsippany, NJ 07054-2711
> dynamicsoft
> [email-masked]                     FAX:   (973) 952-5050
> http://www.jdrosen.net                      PHONE: (973) 952-5000
> http://www.dynamicsoft.com
>
> _______________________________________________
> Iptel mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/iptel
> _______________________________________________
> Iptel mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/iptel

_______________________________________________
Iptel mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/iptel